Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactCheckResult

    java.lang.Object
      com.verisign.epp.codec.contact.EPPContactCheckResult

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPContactCheckResult

extends java.lang.Object
implements EPPCodecComponent

`EPPContactCheckResult` represents the result of an individual contact id check. The attributes of `EPPContactCheckResult` include the contact id and a boolean value indicating if the contact id is available by the server. `contact reason` must be set before invoking `encode` if the available flag is set to `false`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Constructor Summary
`EPPContactCheckResult()` Default constructor for `EPPContactCheckResult`.
`EPPContactCheckResult(java.lang.String aId, boolean aIsAvailable)` Constructor for `EPPContactCheckResult` that includes the contact id and the is available flag.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPContactCheckResult`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPContactCheckResult` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactCheckResult` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactCheckResult` with this instance.
`java.lang.String` | `getContactReason()` Gets domain reason to check.
`java.lang.String` | `getId()` Gets the contact id associated with the result.
`java.lang.String` | `getLanguage()` Sets contact reason to check.
`boolean` | `isAvailable()` Gets if the contact associated with `EPPContactCheckResult` is available.
`void` | `setContactReason(java.lang.String aReason)` Sets domain reason.
`void` | `setId(java.lang.String aId)` Sets the contact id associated with the result.
`void` | `setIsAvailable(boolean aIsAvailable)` Sets if the contact associated with `EPPContactCheckResult` is available.
`void` | `setLanguage(java.lang.String aLang)` Sets language attribute.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPContactCheckResult

    public EPPContactCheckResult()

  Default constructor for `EPPContactCheckResult`. the defaults include the following:
  - id is set to `null`
  - available is set to `true`
  The id must be set before invoking `encode`.

### EPPContactCheckResult

    public EPPContactCheckResult(java.lang.String aId,
                                 boolean aIsAvailable)

  Constructor for `EPPContactCheckResult` that includes the contact id and the is available flag.

  Parameters:
    `aId` - Contact id associated with result
    `aIsAvailable` - Is the contact id available?

Method Detail

### getId

    public java.lang.String getId()

  Gets the contact id associated with the result.

  Returns:
    Contact id associated with the result if defined; `null` otherwise.

### setId

    public void setId(java.lang.String aId)

  Sets the contact id associated with the result.

  Parameters:
    `aId` - Contact Id associated with the result.

### isAvailable

    public boolean isAvailable()

  Gets if the contact associated with `EPPContactCheckResult` is available.

  Returns:
    Is the contact available?

### setIsAvailable

    public void setIsAvailable(boolean aIsAvailable)

  Sets if the contact associated with `EPPContactCheckResult` is available.

  Parameters:
    `aIsAvailable` - Is the contact available?

### setLanguage

    public void setLanguage(java.lang.String aLang)

  Sets language attribute.

  Parameters:
    `aLang` - Sets contact reason language attribute.

### getLanguage

    public java.lang.String getLanguage()

  Sets contact reason to check.

  Returns:
    String of domain reason language.

### setContactReason

    public void setContactReason(java.lang.String aReason)

  Sets domain reason.

  Parameters:
    `aReason` - Contact Reason to check.

### getContactReason

    public java.lang.String getContactReason()

  Gets domain reason to check.

  Returns:
    String of contact reason `String`'s.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactCheckResult` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPContactCheckResult` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPContactCheckResult` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPContactCheckResult` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPContactPingResult` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPContactCheckResult` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactCheckResult`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPContactCheckResult`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.